/*
 * test 2
 *	exercise the db_rename_file() function
 *
 *	@(#)test_02.c	1.2	09:54:33	2/7/92
 */

#include <sys/types.h>
#include <stdio.h>
#include <fcntl.h>
#include "is_types.h"

main (argc, argv)
int	argc;
char	**argv;
{
	char	buf[BUFSIZ];
	int	filenum;
	long	record;
	dbm_t	*dbm;

	if (argc != 4) {
		fprintf (stderr, "usage: test database file new\n");
		exit (1);
	}
	if (! (dbm = db_open (argv[1], O_RDWR))) {
		sprintf (buf, "test_02: cannot open database `%s'", argv[1]);
		db_error (buf);
		exit (1);
	}
	if ((filenum = db_open_file (dbm, argv[2])) == -1) {
		sprintf (buf, "test_02: cannot open file `%s'", argv[2]);
		db_error (buf);
		exit (1);
	}
	if (db_rename_file (dbm, filenum, argv[3])) {
		sprintf (buf, "test_02: cannot rename file `%s'", argv[2]);
		db_error (buf);
		exit (1);
	}
	exit (0);
}
